import { http } from "@/utils/http";
/**
 * 小程序轮播图
 */
export const getCarousel = (data: any) => {
  return http({
    method: "GET",
    url: `/miniApp/getCarousel/${data}`,
    data,
  });
};
/**
 * 营销活动
 */
export const getActivity = (data: any) => {
  return http({
    method: "GET",
    url: `/miniApp/getActivity/${data}`,
  });
};
/**
 * 活动用户添加
 */
export const addCustomer = (data: any) => {
  return http({
    method: "POST",
    url: "/customer/add",
    data,
  });
};
/**
 * 上传记录
 */
export const rewardList = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/rewardList?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    data,
  });
};
/**
 * 中奖记录
 */
export const auditSuccessList = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/auditSuccessList?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    data,
  });
};
/**
 * 上传记录详情
 */
export const rewardDetail = (data: any) => {
  return http({
    method: "POST",
    url: "/customer/rewardDetail",
    data,
  });
};

//获取手机号
export const getPhoneNumberInfo = (data: any) => {
  return http({
    method: "GET",
    url: `/miniApp/getPhoneNumber/${data.appid}/${data.code}`,
  });
};

export const postLoginAPI = (data: any) => {
  return http({
    method: "POST",
    url: "/login",
    data,
  });
};

// 验证是否可以抽奖
export const validate = (data: any) => {
  return http({
    method: "POST",
    url: `/miniApp/validate/${data.marketingActivityId}`,
    data,
  });
};

//获取openId
export const getOpenId = (data: any) => {
  return http({
    method: "GET",
    url: `/miniApp/getOpenId/${data.appid}/${data.code}`,
    data,
  });
};

export const payment = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/payment/${data}`,
    data,
  });
};

//订阅
export const subscribeToMessage = (data: any) => {
  return http({
    method: "GET",
    url: `/customer/subscribeToMessage/${data}`,
  });
};
